Hello community,

here is the log from the commit of package kmymoney for openSUSE:Factory 
checked in at 2018-05-29 10:48:15
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/kmymoney (Old)
 and      /work/SRC/openSUSE:Factory/.kmymoney.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "kmymoney"

Tue May 29 10:48:15 2018 rev:59 rq:612492 version:5.0.1

Changes:
--------
--- /work/SRC/openSUSE:Factory/kmymoney/kmymoney.changes        2018-03-22 
12:10:17.298552305 +0100
+++ /work/SRC/openSUSE:Factory/.kmymoney.new/kmymoney.changes   2018-05-29 
10:48:18.596987125 +0200
@@ -1,0 +2,9 @@
+Sun May 27 03:40:02 UTC 2018 - wba...@tmo.at
+
+- Add Fix-build-with-Qt-5.11.patch to fix build with Qt 5.11
+- Update build requirements versions, it needs Qt 5.6.0 meanwhile
+- Remove libkmm_csvimportercore.so and libkmm_icons.so from main
+  package's filelist, they are supposed to be in the devel
+  subpackage only
+
+-------------------------------------------------------------------

New:
----
  Fix-build-with-Qt-5.11.patch

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ kmymoney.spec ++++++
--- /var/tmp/diff_new_pack.RdMCjm/_old  2018-05-29 10:48:19.348959381 +0200
+++ /var/tmp/diff_new_pack.RdMCjm/_new  2018-05-29 10:48:19.352959233 +0200
@@ -26,6 +26,8 @@
 Group:          Productivity/Office/Finance
 Url:            http://www.kmymoney.org/
 Source0:        
http://download.kde.org/stable/kmymoney/%{version}/src/%{name}-%{version}.tar.xz
+# PATCH-FIX-UPSTREAM
+Patch:          Fix-build-with-Qt-5.11.patch
 BuildRequires:  aqbanking-devel
 BuildRequires:  doxygen
 BuildRequires:  extra-cmake-modules
@@ -61,16 +63,16 @@
 BuildRequires:  cmake(KF5Wallet)
 BuildRequires:  cmake(KF5WebKit)
 BuildRequires:  cmake(KF5XmlGui)
-BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.2.0
-BuildRequires:  pkgconfig(Qt5Core) >= 5.2.0
-BuildRequires:  pkgconfig(Qt5DBus) >= 5.2.0
-BuildRequires:  pkgconfig(Qt5PrintSupport) >= 5.2.0
-BuildRequires:  pkgconfig(Qt5QuickWidgets) >= 5.2.0
-BuildRequires:  pkgconfig(Qt5Sql) >= 5.2.0
-BuildRequires:  pkgconfig(Qt5Svg) >= 5.2.0
-BuildRequires:  pkgconfig(Qt5Test) >= 5.2.0
-BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
-BuildRequires:  pkgconfig(Qt5Xml) >= 5.2.0
+BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.6.0
+BuildRequires:  pkgconfig(Qt5Core) >= 5.6.0
+BuildRequires:  pkgconfig(Qt5DBus) >= 5.6.0
+BuildRequires:  pkgconfig(Qt5PrintSupport) >= 5.6.0
+BuildRequires:  pkgconfig(Qt5QuickWidgets) >= 5.6.0
+BuildRequires:  pkgconfig(Qt5Sql) >= 5.6.0
+BuildRequires:  pkgconfig(Qt5Svg) >= 5.6.0
+BuildRequires:  pkgconfig(Qt5Test) >= 5.6.0
+BuildRequires:  pkgconfig(Qt5Widgets) >= 5.6.0
+BuildRequires:  pkgconfig(Qt5Xml) >= 5.6.0
 BuildRequires:  pkgconfig(libical)
 %if %{suse_version} >= 1500
 # Only include WebEngine for platforms that support it
@@ -105,6 +107,7 @@
 
 %prep
 %setup -q
+%patch -p1
 
 %build
 
@@ -147,8 +150,6 @@
 %{_kf5_libdir}/libkmm_mymoney.so.*
 %{_kf5_libdir}/libkmm_payeeidentifier.so.*
 %{_kf5_libdir}/libkmm_plugin.so.*
-%{_kf5_libdir}/libkmm_csvimportercore.so
-%{_kf5_libdir}/libkmm_icons.so
 %{_kf5_libdir}/libkmm_widgets.so.*
 %{_kf5_libdir}/libpayeeidentifier_iban_bic.so.*
 %{_kf5_libdir}/libpayeeidentifier_iban_bic_widgets.so.*

++++++ Fix-build-with-Qt-5.11.patch ++++++
>From e5198a902996b27bf9abde0ad24af82d55ab5dc1 Mon Sep 17 00:00:00 2001
From: Luca Beltrame <lbeltr...@kde.org>
Date: Thu, 10 May 2018 09:35:34 +0200
Subject: Fix build with Qt 5.11

---
 kmymoney/plugins/kbanking/widgets/chiptandialog.cpp | 1 +
 1 file changed, 1 insertion(+)

diff --git a/kmymoney/plugins/kbanking/widgets/chiptandialog.cpp 
b/kmymoney/plugins/kbanking/widgets/chiptandialog.cpp
index 928e7a8..53fb2a3 100644
--- a/kmymoney/plugins/kbanking/widgets/chiptandialog.cpp
+++ b/kmymoney/plugins/kbanking/widgets/chiptandialog.cpp
@@ -28,6 +28,7 @@
 #include <QQuickView>
 #include <QQuickItem>
 #include <QPushButton>
+#include <QRegExpValidator>
 #include <QStandardPaths>
 
 #include <KLocalizedString>
-- 
cgit v0.11.2


Reply via email to